| Kea 3.0.2-git

isc::eval::EvalParser::stack< T, S >::slice Class Reference

Present a slice of the top of a stack. More...

`#include <parser.h>`

## Public Member Functions
| slice (const stack &stack, index_type range) YY_NOEXCEPT
const T & | operator[] (index_type i) const

## Detailed Description

template<typename T, typename S = std::vector<T>>
class isc::eval::EvalParser::stack< T, S >::slice

Present a slice of the top of a stack.

Definition at line 2464 of file parser.h.

## Constructor & Destructor Documentation

## ◆ slice()

template<typename T, typename S = std::vector<T>>

isc::eval::EvalParser::stack< T, S >::slice::slice | ( | const stack & | stack,
|  | index_type | range )
| inline

Definition at line 2467 of file parser.h.

References YY_NOEXCEPT.

## Member Function Documentation

## ◆ operator[]()

template<typename T, typename S = std::vector<T>>

const T & isc::eval::EvalParser::stack< T, S >::slice::operator[] | ( | index_type | i | ) | const
| inline

Definition at line 2473 of file parser.h.

The documentation for this class was generated from the following file:

- parser.h